cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
jasonlu
Level 7 Champion
Level 7 Champion

AJAX error in FNMS 2022 R1 webui.log if SQL Server 2019 Cumulative update not installed

When upgrading to FNMS 2022 R1 and using SQL Server 2019, if you omit installing SQL Server 2019 Cumulative Update 5, you may receive an error similar to this in the webui.log

[ERROR 2022-10-05 13:49:21,743 54782029ms ControllerWithLogic ] Potential security issue: action IMSettings/BeaconGroupsList_Grid requires a HttpPost OR DirectHttpPost attribute. AJAX/callback actions must not be accessible via GET requests.
[ERROR 2022-10-05 13:49:36,039 54796326ms UnhandledErrors ] An unexpected error occurred (441fadaf-2753-43cf-bab2-c85692308d02)
System.Data.SqlClient.SqlException (0x80131904): Cannot continue the execution because the session is in the kill state.
A severe error occurred on the current command. The results, if any, should be discarded.

 

In this particular case, the error is generated when a change is made on the Inventory Settings page and the save button is clicked.


From the brains at the Flexera Support desk:
The "severe error occurred on the current command" message you are seeing in the webui.log here comes from SQL Server, and generally indicates that some process in SQL Server failed or terminated unexpectedly. That is often due to a SQL Server bug that got triggered by whatever operation you were doing.

 

Once the Cumulative Update was installed the issue was resolved. No restart of FNMS web server or batch server was required.

 

1 Reply
dbeckner
Level 10 Champion
Level 10 Champion

Thanks @jasonlu! This is great information to have.

0 Kudos